"""Guess: 임의로 생성된 숫자 맞추기 게임.

해야 할 일

1. 답 출력 안되게 만들기
2. 임의의 값 범위를 0에서 1,000,000까지로 조정하여 답 맞추기
3. 맞출 때까지 추측한 횟수 세서 출력하기
4. 틀린 횟수가 n번이면 종료하기
5. 컴퓨터가 자동으로 숫자 맞추도록 알고리즘 작성하기

"""

from random import randint

start = 1
end = 100
value = randint(start, end)

print(value)
print("I'm thinking of a number between", start, "and", end)

guess = None

while guess != value:
    text = input("Guess the number: ")
    guess = int(text)

    if guess < value:
        print("Higher.")
    elif guess > value:
        print("Lower.")

print("Congratulations! You guessed the right answer:", value)
